Subject: Update bug 1023127

From: 陈 晟祺 <[email-masked]>
Date: Fri, 5 Jan 2024 06:46:11 +0000

Control: tag -1 + wontfix

The package is intended for normal users, for whom installing both dracut
and initramfs-tools seems really rare and weird. Also your patch will even render
the system not usable because now initramfs no more updates when zfs upgrades.

> Conversely, imagining (and being in) such a situation is very easy to me.
> This is the reason why they are made co-installable, and only the "bare"
> dracut/initramfs-tools packages aren't.

It is possible to further split packages into, e.g., zfs-{initramfs,dracut}-core
that depends on their corresponding underlying -core packages, and make
zfs-{initramfs,dracut} depend on them. However I haven't heard similar
use cases from any other users.

Thanks,
Shengqi Chen